


// * Responsive, Modular Typescale ---------------------------------------------

/* * The Modularscale Configuration Variable * */
$modularscale: (
  base: 16px,
  ratio: 1.12,
  400px: (
    base: 17px,
    ratio: 1.2,
  ),
  540px: (
    base: 17px,
    ratio: 1.3
  ),
  640px: (
    base: 18px,
    ratio: 1.3
  ),
  960px: (
    base: 19px,
    ratio: 1.3,
  ),
  1200px: (
    base: 21px,
    ratio: 1.3,
  ),
);

/* * Apply Modular Typescale Levels To Primrary Text Elements * */
h1 { @include ms-respond(font-size, 4);  }
h2 { @include ms-respond(font-size, 3);  }
h3 { @include ms-respond(font-size, 2);  }
h4 { @include ms-respond(font-size, 1);  }
h5 { @include ms-respond(font-size, 0);  }
h6 { @include ms-respond(font-size, -1); }
html, body, p, li, a { @include ms-respond(font-size, 0); }

// * General Typogrphic Styles For Other Elements ------------------------------

/* * Components : Navbar  * */
nav {
  line-height : 1;
  margin : 0;
  padding : 0;
}
nav ul {
  line-height : 1;
  list-style: none;
}
nav li {
  line-height : 1;
  list-style: none;
}
nav a {
  line-height : 1;
  text-decoration : none;
  font-weight : 500;
  letter-spacing : .5px;
}

/* * Components : Buttons * */
#{$button-selectors} {
  line-height : 1;
  font-weight : 600;
  letter-spacing : .5px;
  font-size : 1.125rem;
}


/* * Components : Inputs  * */
#{$all-text-inputs} {
  font-size : 1.125rem;
  line-height : 1;
}

/* * Components : Media   * */

/* * Components : Lists   * */

